#   *** C.MAK: Generate C programs with TCC ***

MAIN_NAME  = 2ds
LINK_FILES = 2ds.obj
#Alter the above two lines for each application.

# Description:
# This make file is a general purpose file for generating executable code
# in C which may include inline assembly.

# To run:  MAKE -fc
# -fc: Specifies this make file

# MAIN_NAME is the name of resulting program.

# LINK_FILES is a list of dependancies for the MAIN_NAME program as well as
# for linking purposes.

# <C.LNK> is a list of library names

$(MAIN_NAME).exe: $(LINK_FILES)
  tlink /v /c c:\sl\tc\lib\c0s $(LINK_FILES),$(MAIN_NAME),,@cs.lnk

.c.obj:
        tcc -c -v $*

.cas.obj:
        tcc -c -B -v $<
